from pydantic import BaseModel


class PlayerRequest(BaseModel):
    player: str | None = None


class PlayerOffsetRequest(PlayerRequest):
    offset: int
    forward: bool


class KillRequest(BaseModel):
    names: list[str]


class PlayerInfo(BaseModel):
    name: str
    playing: bool
    can_seek: bool
    artists: list[str]

    progress: int | None = None
    title: str | None = None
    album: str | None = None
