from contextlib import asynccontextmanager
from pathlib import Path
import dbus
from fastapi import FastAPI


@asynccontextmanager
async def lifespan(app: FastAPI, anime_dir: Path):
    app.state.anime_dir = anime_dir
    app.state.pid = None
    app.state.dbus_session = dbus.SessionBus()

    yield

    app.state.dbus_session.close()
