import os
import shutil
import subprocess

from fastapi import APIRouter, HTTPException, Request

from anime import dtos

router = APIRouter()


@router.get("/can-start-watching")
def can_start_watching(request: Request) -> None:
    if not request.app.state.anime_dir:
        raise HTTPException(status_code=400, detail="Anime directory is not set")


@router.post("/kill")
def kill(input_dto: dtos.KillRequest) -> None:
    for name in input_dto.names:
        os.system(f"killall {name}")


@router.post("/start-watching")
def start_watching(request: Request) -> None:
    anime_dir = request.app.state.anime_dir
    if not anime_dir:
        raise HTTPException(status_code=400, detail="Anime directory is not set")
    awatch = shutil.which("awatch")
    if awatch is None:
        raise Exception("awatch command is not available")
    pidof = subprocess.Popen(
        ["pidof", "awatch"],
        stdout=subprocess.PIPE,
        stderr=subprocess.PIPE,
    )
    if pidof.wait() == 0:
        raise HTTPException(status_code=400, detail="awatch is already running")
    subprocess.Popen(
        [awatch],
        cwd=anime_dir,
        shell=True,
        stderr=subprocess.DEVNULL,
        stdout=subprocess.DEVNULL,
    )
