from fastapi import APIRouter

from anime import dtos
from anime.deps import GetDbusService

router = APIRouter()


@router.post("/offset")
async def offset(
    req: dtos.PlayerOffsetRequest,
    dbus_service: GetDbusService,
) -> None:
    direction = 1 if req.forward else -1
    dbus_service.seek(abs(req.offset) * direction, req.player)


@router.post("/play-pause")
async def play_pause(
    input_dto: dtos.PlayerRequest,
    dbus_service: GetDbusService,
) -> None:
    dbus_service.play_pause(input_dto.player)


@router.get("/list")
def get_players(dbus_service: GetDbusService) -> list[dtos.PlayerInfo]:
    return dbus_service.list_players()
