import { defineStore } from "pinia";
import { ref } from 'vue'

export const useBackendStateStore = defineStore('backendState', () => {
    const backendState = ref({canWatch: false})

    async function updateCanWatch() {
        const response = await fetch("/api/commands/can-start-watching");
        backendState.value.canWatch = response.ok;
    }


    return { backendState, updateCanWatch }
});